QUEUE1	.macro			; Enqueues for VRAM Writing!
	stw	#\1,VB_task1
	.endm
QUEUE2	.macro			; Enqueues for VRAM Writing!
	stw	#\1,VB_task2
	.endm
QUEUE3	.macro			; Enqueues for VRAM Writing!
	stw	#\1,VB_task3
	.endm

LINE_NUM	.macro
	lda	#\1
	sta	<line_number
	stz	<row_number	;Row is back to 0!
	jsr	goto_line_no	;Sets VRAM pointer to that line!
		.endm

NEWLINE		.macro
	inc	<line_number
	lda	<line_number
	and	#$3F		;Limit to 64 lines
	sta	<line_number
	stz	<row_number	;Row is back to 0!
	jsr	goto_line_no	;Sets VRAM pointer to that line!
		.endm

HALFLINE	.macro
	lda	#$20	;Half a line
	sta	<row_number
	jsr	goto_line_no
		.endm


SCREEN_OFF	.macro
	vreg  #5
	st1   #$0C
	st2   #$00
		.endm
SCREEN_ON	.macro
	vreg  #5
	st1   #$CC
	st2   #$00
		.endm